## ia32-libs 2.2ubuntu11

=== debian/changelog ===
ia32-libs (2.2ubuntu11) hardy-security; urgency=low

  * sources.list.deb: Add hardy-updates and -security apt sources.
  * Refresh packages. In particular this picks up the hardy-security libssl,
    which fixes the PRNG vulnerability. [CVE-2008-0166] (LP: #231300)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 17 May 2008 07:47:26 +0000

ia32-libs (2.2ubuntu10) hardy; urgency=low

  * Remove libnss-mdns, recommend lib32nss-mdns. LP: #218097.
  * Add gtk2-engines-murrine. LP: #215488.
  * debian/pango.modules: Update.
  * /usr/lib32/gtk-2.0/2.10.0/*.d/*: Search in /usr/lib32.
    LP: #162993, #177869, #190227, #202448.
  * Freshen packages (including fixed gtk+2.0).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Apr 2008 19:13:15 +0200

ia32-libs (2.2ubuntu9) hardy; urgency=low

  * Add libsamplerate0 and libasound2-plugins. (LP: #182731)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 14 Apr 2008 17:23:00 +0000

ia32-libs (2.2ubuntu8) hardy; urgency=low

  * Freshen packages.
  * Remove libldap2, add libldap-2.4-2.
  * Add librsvg2-2, librsvg2-common, libgsf-1-114, libcroco3. Partial #162993.
  * Add pulseaudio-utils. LP: #210572.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Apr 2008 18:41:07 +0000

ia32-libs (2.2ubuntu7) hardy; urgency=low

  * Add libopenal0a (LP: #191967)
  * Add libflashsupport and libcap1 (LP: #180478)
  * Update packages to current Hardy versions.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 11 Mar 2008 09:21:26 +0000

ia32-libs (2.2ubuntu6) hardy; urgency=low

  * Add Pre-Depends for the ia64-only binary packages, too.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Feb 2008 12:35:51 +0000

ia32-libs (2.2ubuntu5) hardy; urgency=low

  * Add libjack0, libcapi20-3, unixodbc, so that wine works. (LP: #161030)
  * Update packages to current Hardy versions.
  * Use lzma compression, for about 50% .deb size reduction.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 29 Jan 2008 20:09:31 +0000

ia32-libs (2.2ubuntu4) hardy; urgency=low

  * fetch-and-build: Let BUILD default to 0, since we never actually use
    BUILD=1 in Ubuntu.
  * Add libpulse{0,-browse0,-mainloop-glib0,core5}, libpixman-1-0, libsepol1,
    libselinux1. This unbreaks Flash, Skype, Adobe Reader, and probably a few
    others. (LP: #183173, #155015, #180478)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 17 Jan 2008 11:57:14 +0000

ia32-libs (2.2ubuntu3) hardy; urgency=low

  * Add libao2. (LP: #179031)
  * Refresh packages, so that libsdl actually works again (previously linked
    to a nonexisting libdirectfb).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 04 Jan 2008 12:17:36 +0000

ia32-libs (2.2ubuntu2) hardy; urgency=low

  * Add libpcre3 to make the latest flash plugin work on amd64.
    (LP: #176653)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 19 Dec 2007 09:49:26 +0000

ia32-libs (2.2ubuntu1) hardy; urgency=low

  * Merge with Debian.
  * Add libxss1. LP: #160913.
  * Add libxcb1: LP: #99385.
  * Add libbluetooth2. LP: #165325.
  * Add libdb4.6, libdirectfb-1.0-0, libogg0, libopencdk10.
  * Remove libdirectfb-0.9-25, libopencdk8.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Dec 2007 06:48:54 +0000

ia32-libs (2.2) unstable; urgency=low

  * Add libsigc++-2.0-0c2a. (Closes: #435057, #434530)
  * Replace libglib1.2 with libglib1.2ldbl.
  * Add libaio1. (Closes: #436445)
  * Add libqt4-core and libqt4-gui.
  * Add libcupsys2. (Closes: #443516)
  * Add new dependencies and updated libs:
    - libcomerr2
    - libdbus-1-3
    - libkeyutils1
    - libkrb53
    - libopencdk10
    - libxdamage1

 -- Frederik Schüler <fs@debian.org>  Tue, 23 Oct 2007 00:05:54 +0200

ia32-libs (2.1ubuntu3) gutsy; urgency=low

  * Add libssl0.9.8 (Scott Ritchie).
  * Add libsigc++-2.0-0c2a. LP: #146559.
  * Add libhal1.
  * Add libart-2.0-2. LP: #141297.
  * Add symlink to find the 32bit gtk modules. LP: #140604.
  * Freshen packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Oct 2007 13:14:46 +0000

ia32-libs (2.1ubuntu2) gutsy; urgency=low

  * Added missing libxcomposite1 (LP: #138145) (Michael Vogt).
  * Remove libdb4.6.
  * Freshen packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Sep 2007 12:54:57 +0200

ia32-libs (2.1ubuntu1) gutsy; urgency=low

  * Re-add ia64 support, broken by the last debian merge:
    - Replace references from gcc-4.1-base to gcc-4.2-base.
    - Fix broken ld-linux.so.2 symlink (LP: #137927).
    - /etc/ld.so.conf.d/ia32-libs.conf: Add /lib32 and /usr/lib32
      to the ld search path.
  * Freshen packages for gutsy.
  * Added packages: gcc-4.2-base, libaio1 (#436445), libdb4.6,
    libxdamage1 (LP: #136624).
  * Removed packages: gcc-4.1-base.
  * Add libcupsimage2, libcupsys2, libcomerr2, libkeyutils1,
    libkrb53 (LP: #122816).
  * Add locale symlink (LP: #126044).
  * Readd dctrl-tools as "build dependency", needed by fetch-and-build.
  * Merge with Debian; remaining changes:
    - Conflicts/Replaces with other ia32-libs-* packages.
    - Inclusion of ia32-libs-gtk packages.
    - debian/rules (copyright): Generation of debian/copyright.
    - debian/rules (make-orig): Build .orig tarball.
  * Update maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  7 Sep 2007 15:46:07 +0000

ia32-libs (2.1) unstable; urgency=low

  * Remove depend on libc6-i386 (>= 2.5-5), ia64 has none
    Depend on libc6-i386 (>= 2.3.6-2) on amd64 comes from libc6-i386.shlibs.

 -- Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>  Tue, 17 Jul 2007 14:02:40 +0200

ia32-libs (2.0) unstable; urgency=low

  [ Goswin von Brederlow ]
  * Remove libstdc++2.10-glibc2.2, libstdc++2.9-glibc2.1,
    libstdc++3 and libtiff3g

  [ Frederik Schüler ]
  * Update all included packages to the current lenny version
  * Fix libusb.so symlink
  * Add liblzo2-2
  * Depend on libc6-i386 (>= 2.5-5) to match the version from Lenny
  * Add libgl1-mesa-dri. (Closes: #424927)

 -- Frederik Schüler <fs@debian.org>  Sun, 24 Jun 2007 02:35:41 +0200


