## ia32-libs 2.2ubuntu11.3

=== debian/changelog ===
ia32-libs (2.2ubuntu11.3) hardy-security; urgency=low

  * SECURITY UPDATE: Refresh packages to pull in security fixes
  * Added libs for flashplugin-nonfree upgrade to version 10:
    - fetch-and-build: added libcurl3, libnspr4-0d, libnss3-1d. Removed
      libflashsupport.
    - debian/rules: added symlinks for new libs

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 Feb 2011 10:28:14 -0500

ia32-libs (2.2ubuntu11.2) hardy-security; urgency=low

  * SECURITY UPDATE: Refresh packages which pulls in glib2 and a whole bunch
    of other security fixes (LP: #400791)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 07 Aug 2009 09:28:54 +0000
