=== debian/control ===
Source: ia32-libs
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian ia32-libs Team <debian-ia32-libs@lists.gag.com>
Uploaders: Bdale Garbee <bdale@gag.com>, Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>, Frederik Schüler <fs@debian.org>
Build-Depends: debhelper (>> 4.0.0), dpkg-dev (>= 1.10.23), lsb-release, dctrl-tools
Standards-Version: 3.6.2.0

Package: ia32-libs
Architecture: amd64 ia64
Pre-Depends: dpkg (>= 1.14.12ubuntu3)
Depends: lsb-release, lib32gcc1, ${lib:Depends}
Replaces: ia32-libs-openoffice.org, ia32-libs-dev (<< 1.6), nvidia-glx-ia32 (<< 1.0.8774-7), ia32-libs-gtk, ia32-libs-sdl
Conflicts: ia32-libs-openoffice.org, ia32-libs-dev (<< 1.6), nvidia-glx-ia32 (<< 1.0.8774-7), ia32-libs-gtk, ia32-libs-sdl
Provides: ia32-libs-gtk, ia32-libs-sdl
Recommends: lib32nss-mdns
Description: ia32 shared libraries for use on amd64 and ia64 systems
 This package contains runtime libraries for the ia32/i386
 architecture, configured for use on an amd64 or ia64 Debian system running
 a 64-bit kernel.

Package: ia32-libs-dev
Pre-Depends: dpkg (>= 1.14.12ubuntu3)
Architecture: ia64
Section: libdevel
Depends: ia32-libs (= ${Source-Version})
Conflicts: ia32-libs-gtk, ia32-libs-sdl
Replaces: ia32-libs-gtk, ia32-libs-sdl
Description: ia32 development libraries and headers for use on ia32/ia64 systems
 This package contains headers and development libraries for building
 32-bit ia32 applications on amd64/ia64 Debian systems.

Package: lib32gcc1
Pre-Depends: dpkg (>= 1.14.12ubuntu3)
Architecture: ia64
Depends: ia32-libs (= ${Source-Version})
Description: GCC support library (ia32)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
