## ia32-libs 2.2ubuntu18

=== debian/changelog ===
ia32-libs (2.2ubuntu18) intrepid; urgency=low

  * fetch-and-build.sh:
    - libcupsys2 -> libcups, unbreaks printing (LP: #276816)
    - Add libdbus-glib-1-2 (LP: #253430)
    - libbluetooth2 -> libbluetooth3 (recent bluez transition).
    - Drop libgnutls13 and libopencdk10, they do not exist any more.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 26 Oct 2008 20:26:52 +0000

ia32-libs (2.2ubuntu17) intrepid; urgency=low

  * fetch-and-build:
    - added libgnutls26 (LP: #277175)

 -- Stephan Hermann <sh@sourcecode.de>  Wed, 08 Oct 2008 11:56:43 +0000

ia32-libs (2.2ubuntu16) intrepid; urgency=low

  * fetch-and-build: (LP: #271550)
    - Skype needs libqt4-xml, here it comes

 -- Stephan Hermann <sh@sourcecode.de>  Thu, 02 Oct 2008 09:17:58 +0000

ia32-libs (2.2ubuntu15) intrepid; urgency=low

  * fetch-and-build.sh: (LP: #271550)
    - replaced libqt4-gui with libqtgui4
    - replaced libqt4-core with libqtcore4

 -- Stephan Hermann <sh@sourcecode.de>  Wed, 01 Oct 2008 16:16:26 +0000

ia32-libs (2.2ubuntu14) intrepid; urgency=low

  * Re-bringing back libqt4 
  * fetch-and-build: 
    - added libqt4-dbus (LP: #271550)
    - added libqt4-network
    - added libqt4-qt3support (LP: #222934)

 -- Stephan Hermann <sh@sourcecode.de>  Fri, 26 Sep 2008 18:51:16 +0000

ia32-libs (2.2ubuntu13) intrepid; urgency=low

  * fetch-and-build:
    + added lib: (LP: #271392)
      - libxcb-render-util0 
      - libxcb-render0
    + removed lib: 
      - libflashsupport (LP: #192888)

 -- Stephan Hermann <sh@sourcecode.de>  Wed, 17 Sep 2008 10:01:35 +0000

ia32-libs (2.2ubuntu12) intrepid; urgency=low

  * sources.list.deb: replacing hardy with intrepid
  * Refresh packages:
    + Changed lib pkg names
      - libltdl3 -> libltdl7
      - libopenal0d -> libopenal1
    + Removed libs:
      - libgail-common, libgail18 -> now in libgtk
    + Added libs: (LP: #246911)
      - libcurl3
      - libnspr4-0d
      - libnss3-1d
      - libssh2-1
  * debian/rules:
    - added symlinks for libnspr4-0d libraries.
      Usecase: Adobe Flash Media Server 3 needs them to start up properly on
      x86_64 systems. 

 -- Stephan Hermann <sh@sourcecode.de>  Tue, 16 Sep 2008 19:32:01 +0200
