=== debian/rules ===
--- 
+++ 
@@ -229,11 +229,9 @@
 	ln -s libxml2.so.2 libxml2.so && \
 	ln -s libxslt.so.1 libxslt.so || true
 
-	# Add symlinks for flashplugin-nonfree version 10
+	# Add symlinks for libnspr4-0d libs so that Adobe FMS3 can find them properly
 	cd $(DEST)/emul/ia32-linux/usr/lib/ && \
-	ln -s libnspr4.so.0d libnspr4.so \
+    ln -s libnspr4.so.0d libnspr4.so \
 	ln -s libplc4.so.0d libplc4.so \
-	ln -s libplds4.so.0d libplds4.so || true
-
-	# install gtk-2.0 configuration files for finding pixbuf
-	# loaders and immodules
+    ln -s libplds4.so.0d libplds4.so || true
+
