## ia32-libs 2.7ubuntu26

=== debian/changelog ===
ia32-libs (2.7ubuntu26) lucid-proposed; urgency=low

  * Freshen packages (LP: #601499)
    - Contains multiple updates of 32 bit versions of previously updated packages

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sat, 03 Jul 2010 17:27:55 -0700

ia32-libs (2.7ubuntu25) lucid; urgency=low

  * Readd libpng symlinks, except to the right targets
  * Remove libv4l (there is a lib32v4l package instead)
  * Freshen packages

 -- Scott Ritchie <scottritchie@ubuntu.com>  Fri, 16 Apr 2010 10:47:37 -0700

ia32-libs (2.7ubuntu24) lucid; urgency=low

  * Freshen packages
  * Actually remove fix the libpng symlink (LP: #554293) 

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 13 Apr 2010 09:35:46 -0700

ia32-libs (2.7ubuntu23) lucid; urgency=low

  * Freshen packages as the new mesa now uses the correct path for 32 bit
    compatibility on 64 bit systems (LP: #248392).

 -- Alberto Milone <alberto.milone@canonical.com>  Sun, 11 Apr 2010 13:44:57 +0000

ia32-libs (2.7ubuntu22) lucid; urgency=low

  * Freshen packages
  * Add libgnome-keyring0 (LP: #534197)
  * Remove manual ln -s libpng12.so.0 libpng.so in rules (LP: #554293)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 06 Apr 2010 11:06:11 -0700

ia32-libs (2.7ubuntu21) lucid; urgency=low

  * Freshen packages (LP: #522916)
  * Remove libxtrap6 (package seems to be gone from the archive)
  * Change gtk2-engines-ubuntulooks to human-theme (replacement package)
  * Change libcelt0 to libcelt0-0

 -- Scott Ritchie <scottritchie@ubuntu.com>  Fri, 19 Feb 2010 13:47:16 -0800

ia32-libs (2.7ubuntu20) lucid; urgency=low

  * Freshen packages.
  * Add libdrm-nouveau1, libdrm-radeon1 (LP: #514299)
  * Add libqt4-opengl, libqt4-script, libqt4-scripttools, libqt4-sql, 
      libqt4-qt3support, libqt4-svg, libqt4-test, libqt4-webkit,
      libqt4-xmlpatterns (LP: #490735)

 -- Scott Ritchie <scott@open-vote.org>  Thu, 04 Feb 2010 11:18:19 -0800

ia32-libs (2.7ubuntu19) lucid; urgency=low

  * Freshen packages.
  * Add symlink to libGL.so for Wine building (LP: #513554)

 -- Scott Ritchie <scott@open-vote.org>  Tue, 02 Feb 2010 13:58:28 -0800

ia32-libs (2.7ubuntu18) lucid; urgency=low

  * Freshen packages (LP: #506437). This will also make sure that the mesa
    libraries are installed in /usr/lib32/mesa (LP: #506435). 

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 27 Jan 2010 09:30:39 +0000

ia32-libs (2.7ubuntu17) karmic; urgency=low

  * Re-add libfltk1.1 as it builds now (LP: #445560)
  * Freshen packages

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sun, 25 Oct 2009 17:57:55 -0700

ia32-libs (2.7ubuntu16) karmic; urgency=low

  * Freshen packages
  * Add gvfs and symlinks for gio (LP: #369498)
  * Remove libfltk1.1 as it is FTBFS and we can't update it in time for karmic

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 12 Oct 2009 16:01:06 -0700

ia32-libs (2.7ubuntu15) karmic; urgency=low

  * Add a conflict against lib32asound2-plugins, as this package is being removed
    in maric. The conflict also ensures the package goes away with an upgrade from
    jaunty
  * Freshen packages

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 29 Sep 2009 12:09:44 +1000

ia32-libs (2.7ubuntu14) karmic; urgency=low

  * Re-add libasound2-plugins (LP: #408615)
  * Remove libstdc++5, no longer in karmic
  * Freshen packages

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 14 Sep 2009 16:55:00 +1000

ia32-libs (2.7ubuntu13) karmic; urgency=low

  * debian/rules: 
    - add symbolic links for gtk-2.0, remove atk-bridge (LP: #369498)
  * Add libmpg123-0
  * Add libgstreamer0.10-0 and libgstreamer-plugins-base0.10-0 (LP: #244952)
  * Freshen packages (hopefully fixes LP: #425863)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sat, 12 Sep 2009 08:42:21 -0700

ia32-libs (2.7ubuntu12) karmic; urgency=low

  * SECURITY UPDATE: refresh packages for libssl0.9.8, libqt4-network,
    libnss3-1d regression fix, libvorbis and libgnutls26

 -- Jamie Strandboge <jamie@ronne.canonical.com>  Fri, 11 Sep 2009 13:06:33 +0000

ia32-libs (2.7ubuntu11) karmic; urgency=low

  * Add bluez-alsa (LP: #240666)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 11 Aug 2009 22:34:08 -0700

ia32-libs (2.7ubuntu10) karmic; urgency=low

  * debian/rules: bump GCC 4.3 to 4.4 to match new lib32gcc1

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 11 Aug 2009 19:12:28 -0700

ia32-libs (2.7ubuntu9) karmic; urgency=low

  * Refresh packages
  * Add libgsm1 (LP: #411747)
  * Add libdrm-intel1 (LP: #352455)
  * Add libgail-common (LP: #190227)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 10 Aug 2009 21:11:53 -0700

ia32-libs (2.7ubuntu8) karmic; urgency=low

  * SECURITY UPDATE: Refresh packages which pulls in recent NSS fixes

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 06 Aug 2009 13:51:09 +0000

ia32-libs (2.7ubuntu7) karmic; urgency=low

  * Update sources.list.deb for karmic.
  * Revert gtk+2.0 change from 2.7ubuntu6, as the underlying bug was fixed
    in gtk+2.0 2.16.1-0ubuntu3.
  * fetch-and-build:
    - Add pulseaudio, since libpulsecore moved there.
    - Drop libcap1, which is now obsolete.
    - Replace libdirectfb-1.0-0 with libdirectfb-1.2-0.
    - Replace libkrb53 with libgssapi-krb5-2, libk5crypto3, libkrb5-3, and
      libkrb5support0.
    - Replace gcc-4.3-base with gcc-4.4-base.
    - Replace python2.5 with libpython2.6.
    - Replace libdb4.6 with libdb4.7.
    - Add libvorbisenc2 for libsndfile1/pulseaudio/pulseaudio-utils.
    - Add libv4l-0 for libsane (but just depend on lib32v4l-0 on amd64).
    - Add libudev0 for pulseaudio.
  * Depend on lib32asound2-plugins on amd64 instead of shipping it (LP:
    #305860).
  * Depend on lib32bz2-1.0 on amd64 instead of shipping it.
  * Freshen packages (LP: #277069, #389510, #393503).

 -- Colin Watson <cjwatson@ronne.canonical.com>  Fri, 17 Jul 2009 15:20:02 +0000

ia32-libs (2.7ubuntu6) jaunty; urgency=low

  * debian/rules: gtk+2.0 has a bug in jaunty that builds it with

