=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 
 export DH_COMPAT=4
 
-ORIGVERSION=$(shell dpkg-parsechangelog | grep ^Version | sed -e 's/Version: //' -e 's/-[[:alnum:]]*$$//')
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 # Lowest version with fully ABI compatible libraries
-SHLIB_VERSION=1.6
+SHLIB_VERSION=2.4
 
 OSVER=$(shell lsb_release -s -i)
 ifeq (Debian,$(OSVER))
@@ -25,8 +24,8 @@
 # On amd64 some package compile 32bit debs directly.
 # Skip converting them and Depend on them instead.
 ifeq (amd64,$(DEB_HOST_ARCH))
-  lib_depends = libc6-i386 (>= 2.3.6-2), lib32z1, lib32stdc++6, lib32asound2, lib32ncurses5
-  FILTER = zlib1g libc6 libgcc1 libasound2 libstdc++6 libncurses5
+  lib_depends = libc6-i386 (>= 2.3.6-2), lib32z1, lib32stdc++6, lib32asound2, lib32bz2-1.0, lib32ncurses5, lib32v4l-0
+  FILTER = zlib1g libc6 libgcc1 libasound2 libbz2-1.0 libstdc++6 libncurses5 libv4l-0
   EXTRA_INSTALL =
 else
   lib_depends = 
@@ -76,7 +75,7 @@
 
 DEBS_ia32-libs     := $(filter-out %-dev $(FILTER),$(DEBS_ALL))
 DEBS_ia32-libs-dev := $(filter %-dev,$(DEBS_ALL))
-DEBS_lib32gcc1     := libgcc1 gcc-4.2-base
+DEBS_lib32gcc1     := libgcc1 gcc-4.4-base
 
 EXTRACT_ia32-libs     := $(addprefix extract-,$(DEBS_ia32-libs))
 EXTRACT_ia32-libs-dev := $(addprefix extract-,$(DEBS_ia32-libs-dev))
@@ -90,22 +89,20 @@
 .PRECIOUS: %/DEBIAN/Manifest
 %/DEBIAN/Manifest:
 	mkdir -p $(DEST)/DEBIAN/
-	echo -e "# packages used in the creation of $(notdir $(DEST))\n" \
+	echo "# packages used in the creation of $(notdir $(DEST))" \
 	     > $(DEST)/DEBIAN/Manifest
+	echo >> $(DEST)/DEBIAN/Manifest
 
 extract-%: $(DEST)/DEBIAN/Manifest
 	cd pkgs && echo $*_*.deb >> ../$(DEST)/DEBIAN/Manifest
 	dpkg-deb -x pkgs/$*_*.deb $(DEST)/t
 
 	# change shlibs information
-	# libX Y $* [| A] (>= V) ---> libX Y <DEST> (>= SHLIB_VERSION)
-	# libX Y $* [| A]        ---> libX Y <DEST> (>= SHLIB_VERSION)
+	# libX Y * ---> libX Y <DEST> (>= SHLIB_VERSION)
 	dpkg-deb -e pkgs/$*_*.deb $(DEST)/t/DEBIAN
 	if [ -f $(DEST)/t/DEBIAN/shlibs ]; then \
-	  sed "s/^\([^ ]* *[^ ]* *\)$*[^(]*(.*)/\1$(notdir $(DEST)) (>= $(SHLIB_VERSION))/" \
-	      < $(DEST)/t/DEBIAN/shlibs \
-	  | sed "s/$*.*$$/$(notdir $(DEST)) (>= $(SHLIB_VERSION))/" \
-	      >>$(DEST)/DEBIAN/shlibs; \
+	  grep -v "^udeb:" < $(DEST)/t/DEBIAN/shlibs \
+	  | sed "s/^\(\S*\s*\S*\).*/\1 $(notdir $(DEST)) (>= $(SHLIB_VERSION))/" >>$(DEST)/DEBIAN/shlibs; \
 	fi
 	rm -r $(DEST)/t/DEBIAN
 
@@ -179,59 +176,62 @@
 	# Add locale symlink
 	ls -l $(DEST)/usr/lib$(SUFFIX)
 	ln -s ../lib/locale $(DEST)/usr/lib$(SUFFIX)/locale
-	
-	# Add wine symlinks
-	cd $(DEST)/emul/ia32-linux/usr/lib/ && \
-	ln -s libGL.so.1 libGL.so && \
-	ln -s libGLU.so.1 libGLU.so && \
-	ln -s libICE.so.6 libICE.so && \
-	ln -s libSM.so.6 libSM.so && \
-	ln -s libX11.so.6 libX11.so && \
-	ln -s libXau.so.6 libXau.so && \
-	ln -s libXcursor.so.1 libXcursor.so && \
-	ln -s libXdmcp.so.6 libXdmcp.so && \
-	ln -s libXext.so.6 libXext.so && \
-	ln -s libXfixes.so.3 libXfixes.so && \
-	ln -s libXi.so.6 libXi.so && \
-	ln -s libXinerama.so.1 libXinerama.so && \
-	ln -s libXmu.so.6 libXmu.so && \
-	ln -s libXrandr.so.2 libXrandr.so && \
-	ln -s libXrender.so.1 libXrender.so && \
-	ln -s libXt.so.6 libXt.so && \
-	ln -s libXxf86vm.so.1 libXxf86vm.so && \
-	ln -s libartsc.so.0 libartsc.so && \
-	ln -s libaudiofile.so.0 libaudiofile.so && \
-	ln -s libaudio.so.2 libaudio.so && \
-	ln -s libcairo.so.2 libcairo.so && \
-	ln -s libesd.so.0 libesd.so && \
-	ln -s libexif.so.12 libexif.so && \
-	ln -s libfontconfig.so.1 libfontconfig.so && \
-	ln -s libfreetype.so.6 libfreetype.so && \
-	ln -s libgcrypt.so.11 libgcrypt.so && \
-	ln -s libglut.so.3 libglut.so && \
-	ln -s libgmodule-2.0.so.0 libgmodule-2.so && \
-	ln -s libgnutls.so.13 libgnutls.so && \
-	ln -s libgpg-error.so.0 libgpg-error.so && \
-	ln -s libgphoto2_port.so.0 libgphoto2_port.so && \
-	ln -s libgphoto2.so.2 libgphoto2.so && \
-	ln -s libgthread-2.0.so.0 libgthread-2.so && \
-	ln -s libieee1284.so.3 libieee1284.so && \
-	ln -s libjpeg.so.62 libjpeg.so && \
-	ln -s liblber.so.2 liblber.so && \
-	ln -s liblcms.so.1 liblcms.so && \
-	ln -s libldap_r.so.2 libldap_r.so && \
-	ln -s libltdl.so.3 libltdl.so && \
-	ln -s libsane.so.1 libsane.so && \
-	ln -s libsasl2.so.2 libsasl2.so && \
-	ln -s libtasn1.so.3 libtasn1.so && \
-	ln -s libtiff.so.4 libtiff.so && \
-	ln -s /lib32/libusb-0.1.so.4 libusb-0.so && \
-	ln -s libxml2.so.2 libxml2.so && \
-	ln -s libxslt.so.1 libxslt.so || true
-
-	# Add symlinks for libnspr4-0d libs so that Adobe FMS3 can find them properly
-	cd $(DEST)/emul/ia32-linux/usr/lib/ && \
-    ln -s libnspr4.so.0d libnspr4.so \
-	ln -s libplc4.so.0d libplc4.so \
-    ln -s libplds4.so.0d libplds4.so || true
-
+
+	# Add a ".so" symlink to each shared lib lacking one
+	for where in usr/lib lib ; do \
+		echo "* doing /$${where}$(SUFFIX)" ; \
+		cd $(CURDIR)/$(DEST)$(ROOT)$${where}$(SUFFIX)/ && \
+		for lib in $$(find . -maxdepth 1 -type f -name \*.so\* | sort) ; do \
+			SO=$$(echo $$lib | sed -e 's/\(\.so\)\.[.0-9]*$$/\1/') ; \
+			if [ "Z$$SO" != "Z$$lib" ] ; then \
+				if [ ! -e $$SO ] ; then \
+					SSO=$$(find . -lname $$(basename $$lib) | head -1) ; \
+					if [ "Z$$SSO" != Z ] ; then \
+						ln -vs $$SSO $$SO ; \
+					else \
+						ln -vs $$lib $$SO ; \
+					fi \
+				fi \
+			fi \
+		done \
+	done
+
+	# More symlinks, not covered by the code above
+	cd $(DEST)$(ROOT)/usr/lib$(SUFFIX)/ && \
+	ln -s /lib32/libpng12.so.0 libpng.so && \
+	ln -s /lib32/libpng12.so.0 libpng12.so && \
+	ln -s liblber-2.4.so liblber.so && \
+	ln -s libldap_r-2.4.so libldap_r.so
+
+	cd $(DEST)$(ROOT)/lib$(SUFFIX)/ && \
+	ln -s libusb-0.1.so libusb.so
+
+	# Drop the libstdc++.so symlink, it's provided by g++-4.4-multilib (LP: #360870)
+	cd $(DEST)$(ROOT)/usr/lib$(SUFFIX)/ && \
+	rm -f libstdc++.so
+
+	# install gtk-2.0 configuration files for finding pixbuf
+	# loaders and immodules
+	#mkdir -p debian/ia32-libs/etc/gtk-2.0
+	#install -m644 debian/*.32 debian/ia32-libs/etc/gtk-2.0/
+
+	sed -i 's,/usr/lib/,/usr/lib32/,g' debian/ia32-libs/usr/lib32/gtk-2.0/2.10.0/*.d/*
+
+	# Provide proper links for gtk modules (LP: #369498)
+	dh_link -pia32-libs /usr/lib32/gtk-2.0/2.10.0 /usr/lib/gtk-2.0/2.10.0/i486-pc-linux-gnu
+	dh_link -pia32-libs /usr/lib32/gtk-2.0/       /usr/lib/gtk-2.0/i486-pc-linux-gnu
+	dh_link -pia32-libs /usr/lib32/gtk-2.0/2.10.0 /usr/lib/gtk-2.0/2.10.0/i686-pc-linux-gnu
+	dh_link -pia32-libs /usr/lib32/gtk-2.0/       /usr/lib/gtk-2.0/i686-pc-linux-gnu
+
+	# Remove atk-bridge module (LP: #369498)
+	rm $(DEST)$(ROOT)usr/lib32/gtk-2.0/modules/libatk-bridge.so
+
+	# Provide proper links for libglib2 (LP: #369498)
+	dh_link -pia32-libs /usr/lib32/gio/modules /usr/lib/gio/modules/i486-pc-linux-gnu
+	dh_link -pia32-libs /usr/lib32/gio/modules /usr/lib/gio/modules/i686-pc-linux-gnu
+
+	# Provide proper links for libGL (LP: #513554)
+	dh_link -pia32-libs /usr/lib32/mesa/libGL.so.1 /usr/lib32/libGL.so
+
+	# verify and install pango.modules
+	PANGOMODS=$$(dpkg-deb -c pkgs/libpango*i386.deb | grep modules/pango | cut -d. -f2- | sed -e 's,/lib/,/lib32/,'); \
